## org.jfree.xml.factory.objects
Class ObjectFactoryException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.jfree.util.StackableException
                  org.jfree.xml.factory.objects.ObjectFactoryException

All Implemented Interfaces:
  java.io.Serializable

public class ObjectFactoryException
extends StackableException

An exception that is thrown, if the creation of an Object failed in the ObjectFactory implementation.

Author:
  Thomas Morgner.
See Also:
  Serialized Form

Constructor Summary
`ObjectFactoryException()` Constructs a new exception with `null` as its detail message.
`ObjectFactoryException(java.lang.String message)` Constructs a new exception with the specified detail message.
`ObjectFactoryException(java.lang.String message, java.lang.Exception cause)` Creates a new exception.

Methods inherited from class org.jfree.util.StackableException
`getParent, printStackTrace, printStackTrace, printStackTrace`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ObjectFactoryException

    public ObjectFactoryException()

  Constructs a new exception with `null` as its detail message. The cause is not initialized, and may subsequently be initialized by a call to `Throwable.initCause(java.lang.Throwable)`.

### ObjectFactoryException

    public ObjectFactoryException(java.lang.String message)

  Constructs a new exception with the specified detail message. The cause is not initialized, and may subsequently be initialized by a call to `Throwable.initCause(java.lang.Throwable)`.

Parameters:
  `message` - the detail message. The detail message is saved for later retrieval by the `Throwable.getMessage()` method.

### ObjectFactoryException

    public ObjectFactoryException(java.lang.String message,
                                  java.lang.Exception cause)

  Creates a new exception.

Parameters:
  `message` - the message.
  `cause` - the cause of the exception.